"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../records/ad.record");
const testRecord_1 = require("./testRecord");
test('Can build AdRecord', () => {
    expect(testRecord_1.testAd.name).toBe('Test name');
    expect(testRecord_1.testAd.desc).toBe('Test description');
});
test('Validates invalid name', () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, testRecord_1.testAd), { name: '' }))).toThrow('Ad name cannot be empty and cannot exceed 100 characters');
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, testRecord_1.testAd), { name: 'Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test' }))).toThrow('Ad name cannot be empty and cannot exceed 100 characters');
});
test('Validates invalid description', () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, testRecord_1.testAd), { desc: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur' }))).toThrow('Ad description cannot exceed 1000 characters');
});
test('Validates invalid price', () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, testRecord_1.testAd), { price: -3 }))).toThrow('Price cannot be negative or greater than 9 999 999');
});
test('Validates invalid url', () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, testRecord_1.testAd), { url: '' }))).toThrow('Ad url cannot be empty and cannot exceed 100 characters');
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, testRecord_1.testAd), { url: 'Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test Test' }))).toThrow('Ad url cannot be empty and cannot exceed 100 characters');
});
//# sourceMappingURL=ad-record.test.js.map