"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.adminRouter = void 0;
const express_1 = require("express");
const auth_middleware_1 = require("../middleware/auth.middleware");
const records_1 = require("../records");
exports.adminRouter = (0, express_1.Router)();
exports.adminRouter
    .use((0, auth_middleware_1.authMiddleware)('admin'))
    .get('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    res.json({
        status: res.statusCode,
        message: 'success',
    });
}))
    .get('/manage/users', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const users = yield records_1.UserRecord.getAll();
    res.status(200).json(users);
}))
    .get('/manage/orders', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const users = yield records_1.OrderRecord.getAllOrders();
    res.status(200).json(users);
}));
//# sourceMappingURL=admin.router.js.map