"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.productsRouter = void 0;
const express_1 = require("express");
const records_1 = require("../records");
exports.productsRouter = (0, express_1.Router)();
exports.productsRouter
    // get all products when empty string provided or search result
    .get('/search/:name?', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    const found = yield records_1.ProductRecord.find((_a = req.params.name) !== null && _a !== void 0 ? _a : '');
    const products = found.map((product) => {
        return product;
    });
    if (products.length === 0) {
        res.status(404).json({
            status: res.statusCode,
            message: `No results were found matching ${req.params.name}`,
        });
    }
    else {
        res.status(200).json(products);
    }
}))
    // get bestselling products
    .get('/bestsellers', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const products = yield records_1.ProductRecord.getBestsellers();
    if (products === null) {
        res.status(404).json({
            status: res.statusCode,
            message: 'No best selling products were found yet',
        });
    }
    else {
        res.status(200).json(products);
    }
}))
    // get one product if productId is found
    .get('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const product = yield records_1.ProductRecord.getOne(req.params.id);
    if (product === null) {
        res.status(404).json({
            status: res.statusCode,
            message: `Cannot find product with id ${req.params.id}`,
        });
    }
    else {
        res.status(200).json(product);
    }
}));
//# sourceMappingURL=products.router.js.map