"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testingRecord_1 = require("./testingRecord");
const records_1 = require("../../records");
let errMessage;
test('Can build OrderRecord', () => {
    expect(testingRecord_1.testOrder.products).toStrictEqual([...testingRecord_1.testBasket]);
    expect(testingRecord_1.testOrder.totalQty).toStrictEqual(4);
    expect(testingRecord_1.testOrder.totalValue).toStrictEqual(3 * 1.29 + 3.59);
    expect(testingRecord_1.testOrder.userId).toStrictEqual('test_user');
});
test('Throws when order is empty', () => {
    errMessage = 'Order cannot be empty';
    expect(() => new records_1.OrderRecord(Object.assign(Object.assign({}, testingRecord_1.testOrder), { totalQty: 0 }))).toThrow(errMessage);
});
test('Throws when total value is negative', () => {
    errMessage = 'Total order value cannot be negative';
    expect(() => new records_1.OrderRecord(Object.assign(Object.assign({}, testingRecord_1.testOrder), { totalValue: -5 }))).toThrow(errMessage);
});
test('Throws when total value is equal to zero', () => {
    errMessage = 'Total order value must be greater than zero';
    expect(() => new records_1.OrderRecord(Object.assign(Object.assign({}, testingRecord_1.testOrder), { totalValue: 0 }))).toThrow(errMessage);
});
//# sourceMappingURL=order-record.test.js.map