"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utlis_1 = require("../../utlis");
const testingRecord_1 = require("./testingRecord");
const records_1 = require("../../records");
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield utlis_1.pool.execute("DELETE FROM `users` WHERE `email` = 'test@example.com'");
    yield utlis_1.pool.end();
}));
// -- testing insert() method
test('UserRecord.insert inserts data to database', () => __awaiter(void 0, void 0, void 0, function* () {
    const user = new records_1.UserRecord(Object.assign({}, testingRecord_1.testUser));
    yield user.insert();
    const newUser = yield records_1.UserRecord.findByEmail(user.email);
    expect(newUser).toBeDefined();
    expect(newUser).not.toBeNull();
    expect(newUser === null || newUser === void 0 ? void 0 : newUser.userId).toBe(user.userId);
}));
// -- end of testing insert(productId) method
// -- testing findByEmail() method
test('UserRecord returns data from database for one entry when searching by email', () => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield records_1.UserRecord.findByEmail('user@eat.com');
    expect(user).toBeDefined();
    expect(user === null || user === void 0 ? void 0 : user.userId).toBe('86ba84a3-d5ad-409f-9083-40caff1e4af5');
    expect(user === null || user === void 0 ? void 0 : user.email).toBe('user@eat.com');
    expect(user === null || user === void 0 ? void 0 : user.password).toBeTruthy();
}));
test('UserRecord returns null from database for not existing entry when searching by email', () => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield records_1.UserRecord.findByEmail('loremIpsum');
    expect(user).toBeNull();
}));
// --end of testing findByEmail() method
// -- testing findById() method
test('UserRecord returns data from database for one entry when searching by ID', () => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield records_1.UserRecord.findById('86ba84a3-d5ad-409f-9083-40caff1e4af5');
    expect(user).toBeDefined();
    expect(user === null || user === void 0 ? void 0 : user.userId).toBe('86ba84a3-d5ad-409f-9083-40caff1e4af5');
    expect(user === null || user === void 0 ? void 0 : user.email).toBe('user@eat.com');
}));
test('UserRecord returns null from database for not existing entry when searching by ID', () => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield records_1.UserRecord.findById('loremIpsum');
    expect(user).toBeNull();
}));
// --end of testing findById() method
// -- testing getAll() method
test('UserRecord.getAll returns only desired amount of data', () => __awaiter(void 0, void 0, void 0, function* () {
    const users = yield records_1.UserRecord.getAll();
    expect(users[0].createdAt).toBeUndefined();
    expect(users[0].updatedAt).toBeUndefined();
}));
// -- end of testing getAll() method
//# sourceMappingURL=user.test.js.map