"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utlis_1 = require("../../utlis");
let errMessage;
describe('Validate email', () => {
    it('Throws when no email provided', () => {
        errMessage = 'Email must be provided';
        expect(() => {
            (0, utlis_1.validateEmail)('');
        }).toThrow(errMessage);
    });
    it('Throws when email does not contain @', () => {
        errMessage = 'Email does not match valid pattern';
        expect(() => {
            (0, utlis_1.validateEmail)('abc.co.uk');
        }).toThrow(errMessage);
    });
    it('Throws when email is too short to be correct', () => {
        expect(() => {
            (0, utlis_1.validateEmail)('a@b.c');
        }).toThrow(errMessage);
    });
    it('Throws when email starts with special character', () => {
        expect(() => {
            (0, utlis_1.validateEmail)('-test@example.com');
        }).toThrow(errMessage);
    });
    it('Throws when email part ends with special character', () => {
        expect(() => {
            (0, utlis_1.validateEmail)('a@b-.co');
        }).toThrow(errMessage);
        expect(() => {
            (0, utlis_1.validateEmail)('a-@b.co');
        }).toThrow(errMessage);
        expect(() => {
            (0, utlis_1.validateEmail)('a@b.co-');
        }).toThrow(errMessage);
    });
});
//# sourceMappingURL=validateEmail.test.js.map