"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.ValidationError = void 0;
class ValidationError extends Error {
}
exports.ValidationError = ValidationError;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const handleError = (err, req, res, next) => {
    console.error(err.message);
    // prettier-ignore
    res
        .status(err instanceof ValidationError ? 400 : 500)
        .json({
        message: err instanceof ValidationError
            ? {
                status: res.statusCode,
                message: err.message
            }
            : {
                status: res.statusCode,
                message: "Sorry, please try again later"
            }
    });
};
exports.handleError = handleError;
//# sourceMappingURL=errors.js.map