"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateEmail = void 0;
const errors_1 = require("./errors");
const validateEmail = (email) => {
    const emailRegex = /^(?!.*@{2})(?!.*[-_.]{3})[^\s!?\-;:'"*#&]+(?:[\w.-]*\w)?@(?!-)(?:[a-zA-Z0-9-]{0,63}(?<!-)\.)+(?!-)[a-zA-Z]{2,}$/;
    if (!email) {
        throw new errors_1.ValidationError('Email must be provided');
    }
    if (!emailRegex.test(email)) {
        throw new errors_1.ValidationError('Email does not match valid pattern');
    }
};
exports.validateEmail = validateEmail;
//# sourceMappingURL=validateEmail.js.map