"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validatePassword = void 0;
const errors_1 = require("./errors");
const validatePassword = (password) => {
    const passwordRegex = /^(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\S)(?=.*[!@#$%^&*()_+\-=[\]{}~;:'<>,./?`])(?!.*(.)\1)[A-Za-z0-9\S!@#$%^&*()_+\-=[\]{}~;:'<>,./?`]{8,20}$/;
    if (!password) {
        throw new errors_1.ValidationError('Password must be provided');
    }
    if (password.length < 8 || password.length > 20) {
        throw new errors_1.ValidationError('Password must be at least 8 and no more than 20 characters long');
    }
    if (!passwordRegex.test(password)) {
        throw new errors_1.ValidationError('Password is not strong enough');
    }
};
exports.validatePassword = validatePassword;
//# sourceMappingURL=validatePassword.js.map